Get complete order details from OncoEMR
curl --request GET \
--url https://api.example.com/api/v2/integrations/oncoemr/{slug}/ordersimport requests
url = "https://api.example.com/api/v2/integrations/oncoemr/{slug}/orders"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v2/integrations/oncoemr/{slug}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"approvalStatus": "<string>",
"category": "<string>",
"intent": "<string>",
"isBillable": true,
"cptCode": "<string>",
"cptQuantity": 123,
"deliveryCptCode": "<string>",
"deliveryCptQuantity": 123,
"loincCode": "<string>",
"schedulerResource": "<string>",
"instruction": "<string>",
"statusText": "<string>",
"value": "<string>",
"specimenType": "<string>",
"option": {
"statusTextOptions": [
"<string>"
],
"testLocationOptions": [
"<string>"
],
"defaultTestLocation": "<string>",
"defaultActivityLocation": "<string>",
"priorityTextOptions": [
"<string>"
],
"defaultPriorityText": "<string>",
"activityLocationOptions": [
"<string>"
],
"contrastOptions": [
"<string>"
],
"compareWithPriorOptions": [
"<string>"
],
"showProviderContactDetails": true,
"showReason": true,
"showOnVisitList": true,
"frequency": "<string>",
"defaultFrequency": "<string>",
"defaultReason": "<string>",
"defaultLoinc": "<string>",
"loincDescription": "<string>",
"defaultCpt": "<string>",
"imageLocationOptions": [
"<string>"
]
},
"additionalInformation": "<string>",
"changeReason": "<string>",
"providerContactDetails": [
"<unknown>"
],
"testLocation": "<string>",
"id": "<string>",
"componentName": "<string>",
"componentType": "<string>",
"oeResourceProvenance": {
"identifier": "<string>",
"author": {
"resource": "<string>",
"identifier": "<string>"
},
"occurred": "<string>"
},
"group": "<string>",
"subject": "<string>",
"recorder": "<string>",
"authoredOn": "<string>",
"approvalRecorder": "<string>",
"approvalRecordedOn": "<string>",
"approver": "<string>",
"approvedOn": "<string>",
"deleter": "<string>",
"deletedOn": "<string>",
"location": "<string>",
"requester": "<string>",
"note": "<string>",
"encounter": "<string>",
"priority": "<string>",
"administrationStatus": "<string>",
"orchestration": "<string>",
"protocolComponent": "<string>",
"reasonCode": {
"icd9Codes": [
"<string>"
],
"icd10Codes": [
"<string>"
]
},
"sequence": 123,
"occurrenceDateTime": "<string>",
"status": "<string>",
"requiresAuth": true,
"orderStatusUpdatedBy": "<string>",
"orderStatusUpdatedOn": "<string>",
"orderDate": "<string>",
"testIdentifier": "<string>",
"requisitionNumber": "<string>",
"document": "<string>",
"occurrenceTiming": {
"repeatFrequency": "<string>",
"repeatPeriod": "<string>",
"repeatPeriodUnit": "<string>",
"plannedDurationValue": 123,
"plannedDurationUnit": "<string>",
"event": "<string>",
"frequencyText": "<string>",
"durationValue": 123
},
"compareWithPriorAnswer": "<string>",
"compareWithPriorFacility": "<string>",
"compareWithPriorDate": "<string>",
"ivContrast": "<string>",
"oralContrast": "<string>",
"bodySite": [
"<string>"
],
"priorityText": "<string>",
"reasonText": "<string>",
"orderStatus": "<string>",
"isCancellable": true,
"hasDetails": true,
"orderDetailsHistoryRowId": "<string>",
"superseder": "<string>",
"supersededOn": "<string>",
"plannedDuration": "<string>",
"associatedResources": null
}{
"error": "<string>",
"message": "<string>",
"statusCode": 123,
"details": {}
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>",
"statusCode": 123,
"details": {}
}{
"error": "<string>"
}Integration - OncoEMR
Get complete order details from OncoEMR
Fetches complete order details including options and timing information.
GET
/
api
/
v2
/
integrations
/
oncoemr
/
{slug}
/
orders
Get complete order details from OncoEMR
Path Parameters
The slug of the OncoEMR connection.
Query Parameters
The OncoEMR order ID (e.g., OH_xxx).
The OncoEMR patient ID (e.g., PD_xxx).
The order date in YYYY-MM-DD format.
Response
Default Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes